<?php
/**
 * TODO: Currently not showing up as a field in views.
 * Implements hook_views_data().
 *
 * Provides the Hidden Node status as a Views field for Views 2+.
 */
function hidden_nodes_views_data() {
  $data = array();

  // Define the hidden_nodes table.
  $data['hidden_nodes']['table'] = [
    'group' => t('Content'),
    'title' => t('Hidden status'),
    'help'  => t('Hidden/not hidden via the Hidden Nodes module'),
    'provider' => 'hidden_nodes',
  ];

  $data['hidden_nodes']['nid'] = [
    'title' => t("Node"),
    'help' => t("Relate hidden nodes to node"),
    'relationship' => [
      'base' => 'node',
      'base field' => 'nid',
      'id' => 'standard',
      'label' => t('Node'),
    ],
  ];

  // Define the field.
  $data['hidden_nodes']['hidden'] = [
    'title' => t('Hidden'),
    'help' => t('Whether or not the content is hidden.'),
    'field' => [
      'id' => 'boolean'
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'filter' => [
      'id' => 'boolean',
      'label' => t('Hidden'),
      'type' => 'yes-no',
      'use_equal' => TRUE
    ],
  ];

  return $data;
}
