<?php

namespace Drupal\hidden_nodes\Controller;

use Drupal\Core\Ajax\AjaxResponse;
use Drupal\Core\Ajax\OpenModalDialogCommand;
use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Form\FormBuilder;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\Request;

class HiddenNodesModalFormController extends ControllerBase {
  protected $formBuilder;

  public function __construct(FormBuilder $formBuilder) {
    $this->formBuilder = $formBuilder;
  }

  public static function create(ContainerInterface $container) {
    return new static($container->get('form_builder'));
  }

  public function openModalForm($book, $node, Request $request) {
    $options = [
      'dialogClass' => 'popup-dialog-class',
      'width' => '50%',
    ];
    $data = ['book' => $book, 'node' => $node];
    $response = new AjaxResponse();
    $modal_form = $this->formBuilder->getForm('Drupal\hidden_nodes\Form\HiddenNodesModalForm', $data);
    $response->addCommand(new OpenModalDialogCommand('Hidden Node', $modal_form, $options));

    return $response;
  }

}
